Redmine - Defect #18929

MailHandler Error: "\xF5" from ASCII-8BIT to UTF-8
2015-01-21 21:55 - Maciej Cygan

Status: Closed Start date:

Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: No feedback Affected version: 25.0

Description

| have recently updated/upgraded our server and this caused our Redmine helpdesk mail system to break. | have already seen
Defect #18649, #16122 & #16261 and tried to apply all sugestions to our solution but neither did work.

Before i have updated our server all was working fine, including cronjob to fetch emails. Now i am getting encoding error.
What i have in production.log:

@Helpdesk MailHandler Error: "\xF5" from ASCII-8BIT to UTF-8

N[1mA[[35mProject Load (0.2ms)*[0m SELECT "projects’.* FROM projects’ WHERE “projects’.’id" = 1 LIMIT 1
A[1m*[[36mEnabledModule Load (0.2ms)*[0m *[[ImSELECT “enabled_modules’.* FROM “enabled_modules WHERE

“enabled_modules’. project_id" = 1[[0Om@

Environment:

Redmine version 2.5.0.stable
Ruby version 1.9.3-p194 (2012-04-20) [x86_64-linux]
Rails version 3.2.17
Environment production
Database adapter Mysql2

SCM:

Git 1.7.10.4

Filesystem

Redmine plugins:

redmine_contacts 3.2.15-light
redmine_contacts_helpdesk  2.2.9-pro
redmine_git_hosting 0.7.2
redmine_people 0.1.8

Because of this we are unable to track our issues that are reported by our customers and i have already spent about 10 hours trying
to find what has gone wrong.

Help much appreciated.

History

#1 - 2015-01-22 04:35 - Toshi MARUYAMA

- Status changed from New to Needs feedback

It seems one of your plugins cause error.

#2 - 2015-08-23 16:56 - Jan Niggemann (redmine.org team member)
- Status changed from Needs feedback to Closed

- Resolution set to Invalid

#3 - 2015-08-23 17:01 - Jan Niggemann (redmine.org team member)

- Resolution changed from Invalid to No feedback

#4 - 2022-12-22 09:28 - Dimitar (RedmineUP)
Hi Maciej,
https://www.redmine.org/issues/18649
https://www.redmine.org/issues/16122
https://www.redmine.org/issues/16261

This is Dimitar from the RedmineUP Support Team.
May | ask - is the problem of our Helpdesk still appearing to your Redmine?
We look forward to hearing from you.

Best Regards,
Dimitar from the RedmineUP Support Team

Maciej Cygan wrote:

| have recently updated/upgraded our server and this caused our Redmine helpdesk mail system to break. | have already seen Defect #18649,
#16122 & #16261 and tried to apply all sugestions to our solution but neither did work.

Before i have updated our server all was working fine, including cronjob to fetch emails. Now i am getting encoding error.
What i have in production.log:

@Helpdesk MailHandler Error: "\xF5" from ASCII-8BIT to UTF-8

A[1mA[[85mProject Load (0.2ms)*[0m SELECT "projects’.* FROM "projects’ WHERE “projects’.id" = 1 LIMIT 1
A[1mA[[86mEnabledModule Load (0.2ms)A[[0m A[[1mSELECT “enabled_modules’.* FROM “enabled_modules’ WHERE
“enabled_modules’. project_id" = 1*[[0m@

Environment:

Redmine version 2.5.0.stable
Ruby version 1.9.3-p194 (2012-04-20) [x86_64-linux]
Rails version 3.2.17
Environment production
Database adapter Mysql2

SCM:

Git 1.7.10.4

Filesystem

Redmine plugins:

redmine_contacts 3.2.15-light
redmine_contacts_helpdesk  2.2.9-pro
redmine_git_hosting 0.7.2
redmine_people 0.1.8

Because of this we are unable to track our issues that are reported by our customers and i have already spent about 10 hours trying to find what
has gone wrong.

Help much appreciated.
